Subject: Re: bug#57102: 29.0.50; Peculiar file-name-split edge case

From: Augusto Stoffel <[email-masked]>
Date: Sat, 13 Aug 2022 20:06:30 +0200

On Sat, 13 Aug 2022 at 13:44, Lars Ingebrigtsen <[email-masked]> wrote:

> Philip Kaludercic <[email-masked]> writes:
>
>> Could one instead prefix the list with a symbol (either `absolute' or
>> `relative') to distinguish the two cases.  Or do you think that would
>> just make it more complicated.
>
> I think that just makes it way more complicated to use.

If instead of a symbol `absolute' or `relative' the first element was
one of the strings "/" or ".", then it would probably be pretty handy to
use.  But then of course the logic would be that

  (file-equal-p (apply #'file-name-concat (file-name-split filename)) filename)